Centos6.5使用yum命令安装最新版ffmpeg

  • A+

直接是用yum命令安装的ffmpeg版本非常非常低,居然还是0.60的版本,现在官方都更新到3.0.1了;
过低的版本很多功能都不支持,所以很有必要安装最新版来获取ffmpeg更多功能格式的支持;

首先安装编译环境

使用git获取官方最新ffmpeg版本

执行完该命令会在当前目录下产生一个ffmpeg的文件夹,用cd命令切换到这个ffmpeg文件夹当中

执行ffmpeg安装命令

如果在执行./configure --prefix=/usr 时出现了错误无法正常安装

    yasm not found, use --disable-yasm for a crippled build

    If you think configure made a mistake, make sure you are using the latestversion from SVN. If the latest version fails, report the problem to theffmpeg-user@mplayerhq.hu mailing list or IRC #ffmpeg on irc.freenode.net.Include the log file "config.log" produced by configure as this will help solving the problem.

那是因为没有安装yasm的缘故导致无法继续,安装yasm环境就行了

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen:

,输入正确后才能评论!